import pytest

from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest
from all_backend_api.tractate_request import tractate_request



class TestVote:
    data = BaseRequest().api_load(path_setting.TRACTATE_VOTE)
    test_case, test_data = get_ids(data, "tractate_vote")

    # @pytest.mark.skip
    @pytest.mark.parametrize("param", test_data, ids=test_case)
    def test_vote(self, param):
        r = tractate_request().tractate_detail(param["current_city_id"], param["tractate_id"], param["data_type"])
        print("返回结果", r)
        assert r["error"] == 0










